PowerPC G5 question

Discussion in 'PowerPC Macs' started by pfisher, Aug 27, 2010.

  1. macrumors member

    Joined:
    Aug 27, 2010
    #1
    I have a PowerPC G5 which has 2GB RAM and is Dual 1.8ghz computer. I don't have the restore DVD's for this computer. I would like to install OS 10.5 but I don't think this model is made for it. How would I find out if this particular model is compatible with OS 10.5?

    How do I get the restore DVD's for this computer?

    thanks

    Phil
     
  2. macrumors 68030

    MrCheeto

    Joined:
    Nov 2, 2008
    #2
    It can run every version up to and including version 10.5.8, Leopard.
     
  3. macrumors 6502a

    VanneDC

    Joined:
    Jun 5, 2010
    Location:
    Dubai, UAE
    #3
    yeah mate, its all GO! the only thing it wont run is Windows and Snow Leopard.
     
  4. macrumors 68030

    Joined:
    Jan 20, 2010
    Location:
    Terra
    #4
    If it's a G5, it'll run Leopard. Simple as that.

    Also, you can contact Apple for the actual system restore discs. They'll send them to you for a fee, though I can't remember what the amount is...
     
  5. macrumors 6502a

    Joined:
    Feb 10, 2009
    Location:
    England
    #5
    Your Mac is well above the minimum system requirements for 10.5 Leopard, as the previous posters have said. You'll need to track down a used copy. Make sure it is a full retail copy and NOT the grey restore disks from another Mac.

    You won't need your own original install disks for your G5 in order to install Leopard from a retail disk. The new disk will contain everything you need.
     
  6. macrumors 68030

    Joined:
    Jan 20, 2010
    Location:
    Terra
    #6
    Unless, for example, he wants the apps that came with the computer as well (most notably, iLife). The Leopard retail disc will not include those.
     
  7. macrumors 6502a

    Joined:
    Feb 10, 2009
    Location:
    England
    #7
    Very true.
     

Share This Page